--[[
    Aaron MacDonald
    August 28, 2010

    Modified November 26, 2010
]]

utility = {}

function utility.sign(n)
    local result = 0

    if n > 0 then
        result = 1
    elseif n < 0 then
        result = -1
    end

    return result
end

function utility.round(n)
    local result

    local sign = utility.sign(n)
    local absn = math.abs(n)
    local int = math.floor(absn)
    local float = absn - int

    if float < 0.50
    then
        result = int * sign
    else
        result = (int + 1) * sign
    end

    return result
end

function utility.floor2(n)
    -- Rounds the absolute value of n to the lowest integer
    return math.floor(math.abs(n)) * utility.sign(n)
end

function utility.rectangle(x, y, width, height)
    return {x = x or 0, y = y or 0,
      width = width or 0, height = height or 0}
end